function dst=distsq(p, q)
% calculates a square N*N matrix of squares of point distances 
% with two point sets p and q of np and nq points each.
% The result is a np times nq matrix.
[np dim]=size(p);
[nq dim]=size(q);
dst=p*q';
cp=sum((p.*p)'); % squares of p points, as row
cq=sum((q.*q)'); % squares of q points, as row
dst=repmat(cp',1,nq)+repmat(cq,np,1)-2*dst; % distance matrix squared
