function bnd=hbound(points)
% calculate h bounds in bnd=[hlower hupper]
[N dim]=size(points);
delta=0.5/sqrt(N);
[Xd Yd]=meshgrid(-1:delta:1,-1:delta:1);
q=[Xd(:) Yd(:)];
dd=distsq(points,q);
[mpi impi]=min(dd);
[ma mai]=max(mpi);
hd=norm(points(impi(mai),:)-q(mai,:));
%plot(q(mai,1),q(mai,2),'rx')
%hold on 
%plot(points(impi(mai),1),points(impi(mai),2),'go')
%plot(q(mai,1)+hd*cos(-pi:0.1:pi),q(mai,2)+hd*sin(-pi:0.1:pi))
bnd=[hd hd+delta];
