function value=kernel(arg)
global cscale;
global kertype
arg=arg/cscale^2;
switch lower(kertype)
    case 'g'
        value=exp(-arg);
    case 'mq'
        value=sqrt(1+arg);
    case 'w2'
        r=sqrt(arg);
        value=(1+4*r).*(max(zeros(size(r)),1-r)).^4;
    case 'p1'
        r=sqrt(arg);
        value=r;
    case 'p3'
        r=sqrt(arg);
        value=r.^3;
    case 'tps'
        value=arg.*log(eps+arg);
    case 'imq'
       value=1./sqrt(ones(size(arg))+arg);
    case 'log'
       value=log(arg);
    otherwise
        error('Unknown kernel')
end
    
 